> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /openalex/works/citations

> List the works that cite a given OpenAlex work

**Price:** 5 credits per 200 results



## OpenAPI

````yaml /openapi/research-papers.json post /api/openalex/works/citations
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/openalex/works/citations:
    post:
      tags:
        - /openalex
      summary: /openalex/works/citations
      description: |-
        List the works that cite a given OpenAlex work

        **Price:** 5 credits per 200 results
      operationId: __api_openalex_works_citations_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenalexWorksCitationsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OpenalexWork'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OpenalexWorksCitationsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        work:
          type: string
          minLength: 1
        sort:
          anyOf:
            - $ref: '#/components/schemas/OpenalexWorksSort'
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - work
        - count
    OpenalexWork:
      properties:
        '@type':
          type: string
          default: OpenalexWork
        id:
          type: string
        doi:
          anyOf:
            - type: string
            - type: 'null'
        publication_year:
          anyOf:
            - type: integer
            - type: 'null'
        publication_date:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        pmid:
          anyOf:
            - type: string
            - type: 'null'
        mag_id:
          anyOf:
            - type: string
            - type: 'null'
        cited_by_count:
          type: integer
          default: 0
        fwci:
          anyOf:
            - type: number
            - type: 'null'
        referenced_works_count:
          type: integer
          default: 0
        is_retracted:
          type: boolean
          default: false
        is_oa:
          anyOf:
            - type: boolean
            - type: 'null'
        oa_status:
          anyOf:
            - type: string
            - type: 'null'
        oa_url:
          anyOf:
            - type: string
            - type: 'null'
        indexed_in:
          items:
            type: string
          type: array
          default: []
        citation_normalized_percentile:
          anyOf:
            - $ref: '#/components/schemas/OpenalexCitationPercentile'
            - type: 'null'
        abstract:
          anyOf:
            - type: string
            - type: 'null'
        primary_location:
          anyOf:
            - $ref: '#/components/schemas/OpenalexWorkLocation'
            - type: 'null'
        best_oa_location:
          anyOf:
            - $ref: '#/components/schemas/OpenalexWorkLocation'
            - type: 'null'
        biblio:
          anyOf:
            - $ref: '#/components/schemas/OpenalexBiblio'
            - type: 'null'
        primary_topic:
          anyOf:
            - $ref: '#/components/schemas/OpenalexTopic'
            - type: 'null'
        authorships:
          items:
            $ref: '#/components/schemas/OpenalexAuthorship'
          type: array
          default: []
        corresponding_author_ids:
          items:
            type: string
          type: array
          default: []
        topics:
          items:
            $ref: '#/components/schemas/OpenalexTopic'
          type: array
          default: []
        keywords:
          items:
            $ref: '#/components/schemas/OpenalexKeyword'
          type: array
          default: []
        concepts:
          items:
            $ref: '#/components/schemas/OpenalexConcept'
          type: array
          default: []
        mesh:
          items:
            $ref: '#/components/schemas/OpenalexMeshTerm'
          type: array
          default: []
        funders:
          items:
            $ref: >-
              #/components/schemas/service__parsers__openalex__works__works__OpenalexFunder
          type: array
          default: []
        sustainable_development_goals:
          items:
            $ref: '#/components/schemas/OpenalexSdg'
          type: array
          default: []
        referenced_works:
          items:
            type: string
          type: array
          default: []
        related_works:
          items:
            type: string
          type: array
          default: []
        counts_by_year:
          items:
            $ref: '#/components/schemas/OpenalexCountByYear'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OpenalexWorksSort:
      type: string
      enum:
        - relevance_score:desc
        - cited_by_count:desc
        - cited_by_count:asc
        - publication_date:desc
        - publication_date:asc
    OpenalexCitationPercentile:
      properties:
        '@type':
          type: string
          default: OpenalexCitationPercentile
        value:
          anyOf:
            - type: number
            - type: 'null'
        is_in_top_1_percent:
          anyOf:
            - type: boolean
            - type: 'null'
        is_in_top_10_percent:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    OpenalexWorkLocation:
      properties:
        '@type':
          type: string
          default: OpenalexWorkLocation
        is_oa:
          anyOf:
            - type: boolean
            - type: 'null'
        landing_page_url:
          anyOf:
            - type: string
            - type: 'null'
        pdf_url:
          anyOf:
            - type: string
            - type: 'null'
        license:
          anyOf:
            - type: string
            - type: 'null'
        version:
          anyOf:
            - type: string
            - type: 'null'
        source:
          anyOf:
            - $ref: '#/components/schemas/OpenalexWorkSource'
            - type: 'null'
      type: object
    OpenalexBiblio:
      properties:
        '@type':
          type: string
          default: OpenalexBiblio
        volume:
          anyOf:
            - type: string
            - type: 'null'
        issue:
          anyOf:
            - type: string
            - type: 'null'
        first_page:
          anyOf:
            - type: string
            - type: 'null'
        last_page:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OpenalexTopic:
      properties:
        '@type':
          type: string
          default: OpenalexTopic
        id:
          type: string
        display_name:
          type: string
          default: ''
        score:
          anyOf:
            - type: number
            - type: 'null'
        works_count:
          anyOf:
            - type: integer
            - type: 'null'
        topic_share:
          anyOf:
            - type: number
            - type: 'null'
        subfield:
          anyOf:
            - type: string
            - type: 'null'
        field:
          anyOf:
            - type: string
            - type: 'null'
        domain:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    OpenalexAuthorship:
      properties:
        '@type':
          type: string
          default: OpenalexAuthorship
        id:
          type: string
        display_name:
          type: string
          default: ''
        orcid:
          anyOf:
            - type: string
            - type: 'null'
        author_position:
          anyOf:
            - type: string
            - type: 'null'
        is_corresponding:
          anyOf:
            - type: boolean
            - type: 'null'
        raw_author_name:
          anyOf:
            - type: string
            - type: 'null'
        countries:
          items:
            type: string
          type: array
          default: []
        institutions:
          items:
            $ref: '#/components/schemas/OpenalexWorkInstitution'
          type: array
          default: []
      type: object
      required:
        - id
    OpenalexKeyword:
      properties:
        '@type':
          type: string
          default: OpenalexKeyword
        id:
          type: string
        display_name:
          type: string
          default: ''
        score:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - id
    OpenalexConcept:
      properties:
        '@type':
          type: string
          default: OpenalexConcept
        id:
          type: string
        display_name:
          type: string
          default: ''
        level:
          anyOf:
            - type: integer
            - type: 'null'
        score:
          anyOf:
            - type: number
            - type: 'null'
        wikidata:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    OpenalexMeshTerm:
      properties:
        '@type':
          type: string
          default: OpenalexMeshTerm
        descriptor_ui:
          anyOf:
            - type: string
            - type: 'null'
        descriptor_name:
          type: string
          default: ''
        qualifier_ui:
          anyOf:
            - type: string
            - type: 'null'
        qualifier_name:
          anyOf:
            - type: string
            - type: 'null'
        is_major_topic:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    service__parsers__openalex__works__works__OpenalexFunder:
      properties:
        '@type':
          type: string
          default: service__parsers__openalex__works__works__OpenalexFunder
        id:
          type: string
        display_name:
          type: string
          default: ''
        ror:
          anyOf:
            - type: string
            - type: 'null'
        award_ids:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - id
    OpenalexSdg:
      properties:
        '@type':
          type: string
          default: OpenalexSdg
        id:
          anyOf:
            - type: string
            - type: 'null'
        display_name:
          type: string
          default: ''
        score:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    OpenalexCountByYear:
      properties:
        '@type':
          type: string
          default: OpenalexCountByYear
        year:
          type: integer
        works_count:
          anyOf:
            - type: integer
            - type: 'null'
        cited_by_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - year
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    OpenalexWorkSource:
      properties:
        '@type':
          type: string
          default: OpenalexWorkSource
        id:
          anyOf:
            - type: string
            - type: 'null'
        display_name:
          anyOf:
            - type: string
            - type: 'null'
        issn_l:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        is_oa:
          anyOf:
            - type: boolean
            - type: 'null'
        is_in_doaj:
          anyOf:
            - type: boolean
            - type: 'null'
        host_organization_name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OpenalexWorkInstitution:
      properties:
        '@type':
          type: string
          default: OpenalexWorkInstitution
        id:
          type: string
        display_name:
          type: string
          default: ''
        ror:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````